Bug 184419 - im-sdk.spec should buildrequire flex
im-sdk.spec should buildrequire flex
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: im-sdk (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jens Petersen
: EasyFix, i18n
Depends On:
  Show dependency treegraph
Reported: 2006-03-08 12:10 EST by Vesselin Kolev
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-01 00:56:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vesselin Kolev 2006-03-08 12:10:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20060202 Red Hat/1.0.7-1.4.3 Firefox/1.0.7

Description of problem:
in im-sdk.spec:

Lex required, but not listed in Buildrequires

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. rpm -e lex
2. rpmbuild -bb is-sdk.spec

Additional info:
Comment 1 Vesselin Kolev 2006-03-08 12:12:32 EST
Ops.. In "Step to Reproduce" read "rpm -e lex" as "rpm -e flex"
Comment 2 Jens Petersen 2006-03-17 03:21:16 EST
Do you have a buildlog showing how it fails if flex is not installed?
Comment 3 Jens Petersen 2006-05-08 03:43:40 EDT
Reproduced: lex is needed to generate the Indic map files for phonetic_im.

Comment 4 Jens Petersen 2006-05-08 04:25:12 EDT
Should be fixed in 12.1-13.EL.4.

Note You need to log in before you can comment on or make changes to this bug.